Listar planes de facturación
curl --request GET \
--url https://api.truthlocks.com/v1/billing/plansconst options = {method: 'GET'};
fetch('https://api.truthlocks.com/v1/billing/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/plans"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/plans"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "<string>",
"name": "<string>",
"price": 123,
"currency": "<string>"
}
]
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Facturación
Listar planes
Devuelve los niveles de plan disponibles con precios, características y cuotas.
GET
/
v1
/
billing
/
plans
Listar planes de facturación
curl --request GET \
--url https://api.truthlocks.com/v1/billing/plansconst options = {method: 'GET'};
fetch('https://api.truthlocks.com/v1/billing/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/plans"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/plans"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "<string>",
"name": "<string>",
"price": 123,
"currency": "<string>"
}
]
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}GET /v1/billing/plans
Respuesta
Devuelve una matriz de objetos de plan en orden de gratuito a empresarial.Identificador de plan utilizado en las respuestas de pago y suscripción (por ejemplo,
plan_developer, plan_business).Precio base mensual en USD, incluyendo cualquier ajuste regional de catálogo aplicable. Son posibles cantidades fraccionarias de dólares. Un precio base mensual de cero no significa que el uso sea gratuito.
Para comprobar cuánto costaría un patrón de uso específico, utilice el punto final plan estimator.

